org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class OrTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.OrTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.OrTest.Traversals

- Enclosing class:
    OrTest

      public static class OrTest.Traversals
      extends OrTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.OrTest

      `OrTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Vertex>` | `get_g_V_asXaX_orXselectXaX_selectXaXX()`
    `Traversal<Vertex,String>` | `get_g_V_orXhasXage_gt_27X__outE_count_gte_2X_name()`
    `Traversal<Vertex,String>` | `get_g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.OrTest

      `g_V_asXaX_orXselectXaX_selectXaXX, g_V_orXhasXage_gt_27X__outE_count_gte_2X_name, g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_orXhasXage_gt_27X__outE_count_gte_2X_name

          public Traversal<Vertex,String> get_g_V_orXhasXage_gt_27X__outE_count_gte_2X_name()

      Specified by:
        `get_g_V_orXhasXage_gt_27X__outE_count_gte_2X_name` in class `OrTest`

    - #### get_g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name

          public Traversal<Vertex,String> get_g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name()

      Specified by:
        `get_g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name` in class `OrTest`

    - #### get_g_V_asXaX_orXselectXaX_selectXaXX

          public Traversal<Vertex,Vertex> get_g_V_asXaX_orXselectXaX_selectXaXX()

      Specified by:
        `get_g_V_asXaX_orXselectXaX_selectXaXX` in class `OrTest`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.